This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Fixed tests regenerating using CRLF when running it on Windows
Type: enhancement Stage: resolved
Components: Library (Lib), Tests Versions: Python 3.8
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: addons_zz, serhiy.storchaka
Priority: normal Keywords: patch, patch

Created on 2019-01-29 16:27 by addons_zz, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11697 closed python-dev, 2019-01-29 16:27
PR 11697 closed python-dev, 2019-01-29 16:27
Messages (2)
msg334529 - (view) Author: Addons Zz (addons_zz) Date: 2019-01-29 16:27
When generating the file on Windows by running
```
python test/test_profile.py -r
```

The file has its line ending converted from LF to CRLF, creating noise on the git diff.
msg335766 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-02-17 10:05
PR 11697 keeps existing CRLFs in unmodified part, by writes bare LFs for auto-generated part. The result can contain mixed newlines.

The current code looks correct to me. Just git should be configured to convert LF to platform specific newlines in source files.
History
Date User Action Args
2022-04-11 14:59:10adminsetgithub: 80033
2019-02-17 14:23:43addons_zzsetstatus: open -> closed
stage: patch review -> resolved
2019-02-17 10:05:55serhiy.storchakasetkeywords: patch, patch
nosy: + serhiy.storchaka
messages: + msg335766

2019-01-29 16:27:39python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request11545
2019-01-29 16:27:36python-devsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11544
2019-01-29 16:27:01addons_zzcreate